From bbcdf25fe5e5b908ac290ac85c6943ab6f01c353 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Feb 09 2016 18:36:59 +0000
Subject: [PATCH 288/1001] Use short title in the link but the full one in the title of the link


---

diff --git a/hubs/widgets/pagure_pr.py b/hubs/widgets/pagure_pr.py
index 22b5e4b..055d37a 100644
--- a/hubs/widgets/pagure_pr.py
+++ b/hubs/widgets/pagure_pr.py
@@ -41,7 +41,8 @@ template = jinja2.Template("""
           <td>
             <span class="label label-default">#{{ pr['pr_id'] }}</span>
             <a href="https://pagure.io/{{ repo }}/pull-request/{{
-              pr['pr_id'] }}" target="_blank">
+              pr['pr_id'] }}" target="_blank"
+              title="{{ pr['pr_title_full'] }}">
               {{ pr['pr_title'] }} ...
             </a>
           </td>
@@ -86,6 +87,7 @@ def data(session, widget, repo):
     data = response.json()
     total_req = data['total_requests']
     all_pr = list()
+
     for request in data['requests']:
         pr_project_user = None
         if request['project']['parent']:
@@ -97,6 +99,7 @@ def data(session, widget, repo):
                 pr_project_user=pr_project_user,
                 pr_id=request['id'],
                 pr_title=request['title'][:45],
+                pr_title_full=request['title'],
                 pr_openedby=request['user']['name'],
                 pr_assignee=request['assignee'],
             )

